View Issue Details

IDProjectCategoryView StatusLast Update
0000030Lazaruspublic2001-04-21 09:55
ReporterBug ImportAssigned ToMarc Weustink 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000030: I cannot Make lazarus.
DescriptionI try to install Lazarus on my pc but I get MAKE errors, which I do'nt understand. Does I dosomething wrong?
The fpc (ver. 1.0.5) is running well.

Configuration:
Dell workstation220, Pentium III / 800Mhz /128 Mb
Linux ver. Mandrake 7.2
Fpc ver. 1.0.5


The output of the make command.
make -C lcl all
make[1]: Entering directory `/usr/people/hofman/lazarus/lcl'
rm -f allunits
make -C interfaces all
make[2]: Entering directory `/usr/people/hofman/lazarus/lcl/interfaces'
make -C gtk all
make[3]: Entering directory `/usr/people/hofman/lazarus/lcl/interfaces/gtk'
ppc386 -Fu/usr/lib/fpc/1.0.5/units/linux/rtl -Fu/usr/lib/fpc/1.0.5/units/linux/fcl -Fu/usr/lib/fpc/1.0.5/units/linux -FU../units -di386 gtkwinapiwindow.pp
Free Pascal Compiler version 1.0.5 [2001/01/15] for i386
Copyright (c) 1993-2000 by Florian Klaempfl
Target OS: Linux for i386
Compiling gtkwinapiwindow.pp
gtkwinapiwindow.pp(97,1) Warning: Function result does not seem to be set
gtkwinapiwindow.pp(436,3) Note: Local variable OBJECTCLASS is assigned but never used
Assembling gtkwinapiwindow
600 Lines compiled, 0.2 sec
make[3]: Leaving directory `/usr/people/hofman/lazarus/lcl/interfaces/gtk'
make[2]: Leaving directory `/usr/people/hofman/lazarus/lcl/interfaces'
ppc386 -Fu./units -Fu./interfaces/units -Fu./interfaces/gtk -Fu/usr/lib/fpc/1.0.5/units/linux/rtl -Fu/usr/lib/fpc/1.0.5/units/linux/fcl -Fu/usr/lib/fpc/1.0.5/units/linux -Fi./include -FU./units -di386 allunits.pp
Free Pascal Compiler version 1.0.5 [2001/01/15] for i386
Copyright (c) 1993-2000 by Florian Klaempfl
Target OS: Linux for i386
Compiling allunits.pp
Compiling graphics.pp
Compiling lcllinux.pp
Compiling interfaces.pp
Compiling controls.pp
Compiling graphics.pp
graphics.pp(289,6) Warning: An inherited method is hidden by TGRAPHIC.CREATE
Compiling controls.pp
Compiling menus.pp
Compiling interfaces.pp
Compiling controls.pp
Compiling forms.pp
Compiling interfaces.pp
Compiling ./interfaces/gtk/gtkint.pp
Compiling extctrls.pp
extctrls.pp(61,48) Error: Identifier not found TABSTRACTREADER
extctrls.pp(61,15) Error: There is no method in an ancestor class to be overridden: TPAGE.READSTATE(PLONGINT)
extctrls.pp(73,6) Warning: An inherited method is hidden by TPAGE.PAINT
extctrls.pp(130,48) Error: Identifier not found TABSTRACTREADER
extctrls.pp(147,6) Warning: An inherited method is hidden by TCUSTOMNOTEBOOK.GETCHILDREN
extctrls.pp(130,15) Error: There is no method in an ancestor class to be overridden: TCUSTOMNOTEBOOK.READSTATE(PLONGINT)
extctrls.pp(147,6) Warning: An inherited method is hidden by TCUSTOMNOTEBOOK.SHOWCONTROL
extctrls.pp(130,15) Error: There is no method in an ancestor class to be overridden: TNOTEBOOK.READSTATE(PLONGINT)
extctrls.pp(297,1) Fatal: There were 5 errors compiling module, stopping
make[1]: Leaving directory `/usr/people/hofman/lazarus/lcl'
Additional InformationImported information
--------------------
Name: Casper Hofman
Mail: hofman (at) knmi.nl
TagsNo tags attached.
Fixed in Revision
LazTarget
WidgetsetGTK, Win32/Win64
Attached Files

Activities

Bug Import

2001-04-21 09:55

reporter   ~0000029

MWE:

Contacted the submittor



MWE:

Problem solved in current version.

Issue History

Date Modified Username Field Change
2001-02-20 00:00 Bug Import New Issue
2001-02-20 00:00 Bug Import Widgetset => GTK, Win32
2001-04-21 09:55 Bug Import Status new => assigned
2001-04-21 09:55 Bug Import Assigned To => Marc Weustink
2001-04-21 09:55 Bug Import Note Added: 0000029
2001-04-21 09:55 Bug Import Status new => closed
2001-04-21 09:55 Bug Import Resolution open => fixed